<div class ="wrap">

        <?php

          global $wpdb, $table_gmaps;
    	  $table_gmaps = $wpdb->base_prefix . 'gmtr_data';	  
          $sql = "SELECT * from {$table_gmaps} ";
          $pagenum = isset($_GET['paged']) ? $_GET['paged'] : 1;
          $per_page = 20;
          $action_count = count($wpdb->get_results($sql));
          $total = ceil($action_count / $per_page);
          $action_offset = ($pagenum - 1) * $per_page;
          $page_links = paginate_links(array(
                    'base' => add_query_arg('paged', '%#%'),
                    'format' => '',
                    'prev_text' => __('&laquo;'),
                    'next_text' => __('&raquo;'),
                    'total' => ceil($action_count / $per_page),
                    'current' => $pagenum
	));
  $sql .= " LIMIT {$action_offset}, {$per_page}";
  $gmaps_ids = $wpdb->get_results($sql);

  if (!empty($gmaps_ids)) {
    if ($page_links) { ?>
	<div class="tablenav">
	    <div class="tablenav-pages">
	    <?php
		$page_links_text = sprintf('<span class="displaying-num">' . __('Displaying %s&#8211;%s of %s') . '</span>%s',
		  number_format_i18n(( $pagenum - 1 ) * $per_page + 1),
		  number_format_i18n(min($pagenum * $per_page, $action_count)),
		  number_format_i18n($action_count),
		  $page_links
		);
		echo $page_links_text;
	    ?>
	    </div>
	</div>
    <?php
    } // end if (page links)
  } // end if (empty)
?>
<div class="clear"></div>
<?php if (!empty($gmaps_ids)) { ?>
    <table class="widefat post fixed" cellspacing="0">
	<thead>
	    <tr>
		<th class="check-column" scope="row"></th>
		<th>Location Address</th>
		<th>Title</th>
		<th class="column-title">Description</th>
		<th>URL</th>
		<th>Date</th>
		<th>Marker Icon</th>
	    </tr>
	</thead>
	<tbody>
<?php
    $i = 1;
    $count = (($pagenum-1)*$per_page)+1;
    foreach ($gmaps_ids as $gid) {

	if ($i % 2 == 0) {
	    echo '<tr class="alternate">';
	} else {
	    echo '<tr>';
	}
	echo '<td class="check-column">&nbsp;&nbsp;' . $count . '</td>';
	echo '<td>' . $gid->gmaps_address . '<p><a href="admin.php?page=gmtr-dashboard-page&tab=edit-location&action=edit&id=' . $gid->id . '">Edit</a>';
	echo ' | <a class="remove-admin-gmaps" style="cursor:pointer" rel="' . $gid->id . '">Delete</a></p></td>';
	echo '<td>' . $gid->gmaps_title . '</td>';
	echo '<td>' . substr($gid->gmaps_description, 0, 50) . '...</td>';
	echo '<td>' . $gid->gmaps_url . '</td>';
	echo '<td>' . date($gid->created_date) . '</td>';

	if (!empty($gid->gmaps_icon)) {
		$uploadurl = wp_upload_dir();
		echo '<td><img src="'. $uploadurl['baseurl'] .'/'. $gid->gmaps_icon .'" height="30"/></td>';
		} else {
			echo '<td><img src="'. GMTR_PLUGIN_URL .'/images/icons/default.png"></td>';
		}
                echo '</tr>';
                $i++;
                $count++;
            } // end foreach
?>
       		</tbody>

	</table><br>
	<a href="admin.php?page=gmtr-dashboard-page&tab=add-location"><input type="submit" value="Add Location" class="button-primary"></a>
        <?php } else {
            echo 'No records found!!!';
        } // end if empty 
	?>
</div>
