<?php

    global $wpdb;
    if (isset($_POST['gmtr-save-apikey']) == 'Save Key') {
        update_option('gmtr_gmaps_apikey', $_POST['gmtr-gmap-api-key']);
        update_option('gmtr_marker_color', $_POST['gmtr-marker-color']);
        update_option('gmtr_marker_width', $_POST['gmtr-marker-width']);
        update_option('gmtr_marker_transparent', $_POST['gmtr-marker-trans']);
        update_option('gmtr_link_back', $_POST['gmtr-link-back']);
        update_option('gmtr_link_back_hidden', $_POST['gmtr-link-back-hidden']);

        echo '<div class="updated fade">Settings Successfully Saved</div>';
    }
    $gmaps_api_key = get_option('gmtr_gmaps_apikey');
    $gmaps_marker = get_option('gmtr_marker_color');
    $gmaps_marker_width = get_option('gmtr_marker_width');
    $gmaps_marker_transparent = get_option('gmtr_marker_transparent');
    $gmaps_linkback = get_option('gmtr_link_back');
    $gmaps_linkback_hidden = get_option('gmtr_link_back_hidden');
?>

    <div class="wrap">
	<?php if (empty($gmaps_api_key)) { ?>
       		<div class="updated fade">If you don't have a Google Maps API Key, <a target="_blank" href="https://developers.google.com/maps/documentation/javascript/tutorial#api_key">click here</a>.</div>
    	<?php } ?>
    <form method="post">
        <table class="form-table">
            <tr valign="top">
                <th scope="row"><label for="gmtr-gmap-api-key">Enter Google Maps API Key</label></th>
                <td>
			<input id="gmtr-gmap-api-key" type="text" size="45" value="<?php echo $gmaps_api_key; ?>" name="gmtr-gmap-api-key" />
		</td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="gmtr-marker-color">Route Color</label></th>
                <td><input id="gmtr-marker-color" type="text" size="7" value="<?php echo $gmaps_marker; ?>" name="gmtr-marker-color" /><span class="description">6 digit hex color code. e.g.: #FFFFFF</span></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="gmtr-marker-width">Route Width</label></th>
                <td><input id="gmtr-marker-width" type="text" size="3" value="<?php echo $gmaps_marker_width; ?>" name="gmtr-marker-width" /><span class="description">Value between 1 to 10</span></td>
            <tr valign="top">
                <th scope="row"><label for="gmtr-marker-trans">Route Transparency</label></th>
                <td><input id="gmtr-marker-trans" type="text" size="3" value="<?php echo $gmaps_marker_transparent; ?>" name="gmtr-marker-trans" /><span class="description">Value between 0 to 1 including decimal value</span></td>
            </tr>
            <tr valign="top">
                <th></th>
                <td><input type="submit" value="Save Settings" name="gmtr-save-apikey" class="button-primary" /></td>
            </tr>
        </table>
    </form>
    <br><br>
    <table class="form-table">
        <tr valign="top">
            <th scope="row">
                <strong>Widget:</strong>
            </th>
            <td>
                Note: Your theme should be Widget enabled.</span><br/>
                Go to Appearance > Widgets.</span><br/>
                Find Widget "Google Maps Travel Route". Drag and drop where you want it.</span><br/>
            </td>
        </tr>
    </table>
</div>
